function [paramGamma,paramSM]   =   R2S(paramRM,T,n)

q                  = length(paramRM)-2;
paramGamma          = nan(q+1,1);

paramGamma(1:q+1,1)= real(1/2/pi.*integral(@(lambda)(paramRM(1)*abs(1+sum(paramRM(2:q+2).*exp(1i.*(1:q+1)'.*lambda))).^2 - paramRM(1)*abs(1+sum(paramRM(2:q+2))).^2)./abs(1-exp(1i.*lambda)).^2.*exp(1i.*(0:q).*lambda),-pi,pi,'ArrayValued',true));

paramSM      =  nan(q+2,1);
paramSM(1,1) =  paramRM(1)*abs(1+sum(paramRM(2:q+2))).^2./(T/n);

    gamma   =  paramGamma;
  
    lambda = linspace(-pi,pi,1000);
    
    if sum((paramRM(1)*abs(1+sum(repmat(paramRM(2:q+2),1,1000).*exp(kron(1i.*(1:q+1)',lambda)),1)).^2 - paramRM(1)*abs(1+sum(paramRM(2:q+2))).^2)>0) == 1000
    %

    tau = zeros(q+1,1);
    tau(1) = sqrt(gamma(1));
    eps = 1;
    tau_new  = tau;
    step  = 1;
    
    while eps>10^-15 && step < 10^3
    
        tau = tau_new;
        
        f     =   zeros(q+1,1);
       
        for j=1:q+1
            
            f(j) = sum(tau(1:q+2-j).*tau(j:q+1)) - gamma(j); 
            
        end;
        
        T = hankel(tau(1:q+1)',[tau(q+1),zeros(1,q)]) + toeplitz([tau(1),zeros(1,q)],tau(1:q+1)');
        
        tau_new = tau - T\f;

        eps = norm(tau_new - tau);    
        step  = step + 1; 
        
    end
    
    paramSM(2,1)   = tau(1)^2;
    paramSM(3:q+2,1) = tau(2:q+1)./tau(1);
        
        
    end;

end